; -------------------------------------------------------------
; Quick and dirty test app for sendkeys. Simply echos any
; keystrokes it receives via interrupt 16h.
; -------------------------------------------------------------
.model tiny
.386
.stack
.code
.startup
  @@:
    mov   ah,11h              ; check for extended keystroke
    int   16h
    jz    @B
    mov   ah,10h              ; get extended keystroke
    int   16h
    cmp   al,1bh              ; exit on Escape
    je    @F
    push  ax
    mov   ah,0eh              ; BIOS write teletype, char in AL
    mov   bh,0                ; specify display page 0
    int   10h
    pop   ax
    cmp   al,0dh              ; write LF if was CR
    jne   @B
    mov   ax,0e0ah
    mov   bh,0
    int   10h
    jmp   @B    
  @@:
    mov   ax,0e0dh            ; write final CRLF
    mov   bh,0
    int   10h
    mov   ax,0e0ah
    mov   bh,0
    int   10h
.exit 0
end
